.chat-searchbar{
    width: 70%;
    margin: 0 auto;
    display:flex;
    flex-wrap: wrap;
    justify-content: left;
    background-color: var(--container-background);
    padding: 15px;
    border-radius: 0.5rem;
    margin-bottom: 15px;
    user-select: none;
    gap: 5px;
}

.page-link{
    padding: 2px 3px;
    cursor: pointer;
    color: rgb(197, 197, 197);
}

.chat-searchbar > input, .chat-searchbar > div > input{
    background-color: var(--button-background);
    border-radius: 0.3rem;
    border:none;
    width:140px;
    padding: 10px;
}

.chat-searchbar > input:focus{
    outline: none;
}

.chat-searchbar > input:nth-of-type(1){
    width: 200px;
}

.button-hover:hover{
    background-color: var(--main-orange) !important;
}

.chat-searchbar > div{
    display: flex;
    flex-wrap: wrap;
    width: fit-content;
}

.button-left{
    margin: 0 !important;
    border-radius: 0.3rem 0 0 0.3rem !important;
    width: 120px;
    position: relative;
}

.button-center{
    margin: 0 !important;
    border-radius: 0 0 0 0 !important;
    width: 120px ;
    position: relative;
}

.button-right{
    border-radius: 0 0.3rem 0.3rem 0 !important;
    width: 120px;
    position: relative;
}


.chat-searchbar > span{
    background-color: var(--button-background) !important;
    border-radius: 0.3rem;
    border:none;
    text-align: center;
    font-size: 20px;
    line-height: 44px;
    padding: 0 20px 0 20px; 
    cursor: pointer;
}

.chat-searchbar > div:nth-of-type(2){
    margin-left: auto;
    position: relative;
    font-size: 18px;
    line-height: 44px;
}

.chat{
    width: 70%;
    margin: 0 auto;
}

.chatlog-body{
                opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards;
}

.chat-log{
    width: 100%;
    background-color: var(--container-background);
    border-radius: 0.5rem;
    margin-bottom: 5px;
    padding: 7px 20px 7px 20px;  
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    font-size: 18px; 
}

.chat-log:hover{
    width: 100%;
    background-color: var(--container-background-hover);
    transform:scale(1.005);
}

.chat-log:hover > div {
    color: white !important;
}

.chat-log-info{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    color: rgb(197, 197, 197);  
}

.chat-log-info > div{
   flex: 0 0 auto;
}

.chat-nick{
    color: white !important;
    font-weight: 600;
}

.chat-nick:hover{
    cursor:pointer;
    color: gray !important;
}

.chat-log-message{
    color: rgb(197, 197, 197); 
    flex: 1 1 auto !important; 
    overflow: hidden;
    text-align: end;
}

.chat-log-message > div{
    user-select: text !important;
}

.page-link-active{
    font-weight: 700;
    color: white !important
}




@media screen and (max-width: 910px) {

    .chat{
        width:90% !important;
    }

    .chat-searchbar{
        width: 90% !important;
    }

    .chat-log-info{
        width: 100%;
    }

    .chat-log-message{
        width: 100%;
        text-align: left;
    }
}